WESNOTHD(6)

PAVADINIMAS
wesnothd - Mūšio dėl Wesnoth daugelio žaidėjų žaidimo tinklo demonas

REZIUMĖ
wesnothd [-dv] [-c kelias] [-p prievadas] [-t skaičius] [-T skaičius]
wesnothd -V

APRAŠYMAS
Manages Battle for Wesnoth multiplayer games. See http://www.wesnoth.org/wiki/ServerAdministration on what commands the server accepts via the wesnoth client or the socket.

PARAMETRAI

-c kelias, --config kelias
    tells wesnothd where to find the config file to use. See the section SERVER CONFIG below for the syntax. You can reload the config with sending SIGHUP to the server process.

-d, --daemon
    paleidžia wesnothd kaip demoną.

-h, --help
    pasako Jums, ką daro komandinės eilutės parametrai.

--log-lygis=domenas1,domenas2,...
    sets the severity level of the log domains. all can be used to match any log domain. Available levels: error, warning, info, debug. By default the error level is used and the info level for the server domain.

-p prievadas, --port prievadas
    binds the server to the specified port. If no port is specified, port 15000 will be used.

-t skaičius, --threads skaičius
    sets the maximum number of waiting worker threads for network I/O to n (default: 5, max: 30).

-T skaičius, --max-threads skaičius
    sets the maximum number of worker threads that will be created. If set to 0 there will be no limit (default: 0).

-V, --version
    parodo versijos numerį ir išsijungia.

-v, --verbose
    turns debug logging on.

SERVERIO KONFIGŪRACIJA

  Bandra sintaksė yra:

[elementas]

    raktas="vertė"

    raktas=„vertė,vertė,...“

[/elementas]

  Globalūs raktai:

connections_allowed
    Leidižamų prisijungimų skaičius iš to paties IP. 0 reiškia begalybė. (numatyta: 5)

disallow_names
    Names/nicks that are not accepted by the server. `*' and `?' from wildcard patterns are supported. See glob(7) for more details. Default values (used if nothing is specified) are: *admin*,*admln*,*server*,ai,ai?,computer,human,network,player.

max_messages
    Leidžiamų pranešimų skaičius esančių messages_time_period. (numatyta: 4)

messages_time_period
    The time period (in seconds) message flooding is detected in. (default: 10 seconds)

motd
    Dienos pranešimas.

passwd
    Slaptažodis naudojamas gauti administratoriaus teises. Paparstai jis prasideda „admin “.

versions_accepted
    A comma separated list of version strings to be accepted by the server. `*' and `?' from wildcard patterns are supported. (defaults to the corresponding wesnoth version)
    Pavyzdys: versions_accepted="*" priima bet kokią versiją.

  Globalūs elementai:

[redirect] Elementas, nurodantis serveriui kur peradresuoti tam tikras klientų versijas.

    host
        Serverio, į kurį peradresuoti, adresas.

    port
        Prievadas, prie kurio jungtis.

    version
        A comma separated list of versions to redirect. Behaves the same way as versions_accepted in regard to wildcard patterns.

[proxy] Elementas nurodantis serveriui elgtis kaip proksi ir persiųsti visus prisijungusius klientus į nurodytą serverį. Priima tuos pačius raktus kaip ir [redirect].

AUTORIUS
Parašė David White <davidnwhite@verizon.net>. Redagavo Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> ir Soliton <soliton.de@gmail.com>. Šį dokumentacijos puslapį iš pradžių parašė Cyril Bouthors <cyril@bouthors.org>.
Aplankykite oficialų puslapį: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2007 David White <davidnwhite@verizon.net>
Tai yra laisva programa; ši programa licencijuota Free Software Foundation (Laisvos programinės įrangos fondo) paskelbta GPL 2 versija. Nėra JOKIOS garantijos; netgi PERKAMUMO ar TINKAMUMO KONKRETIEMS TIKSLAMS.

TAIP PAT ŽIŪRĖKITE
wesnoth(6), wesnoth_editor(6)